Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts
Class StrutsValidationXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.apache.struts.StrutsValidationXmlSubTask

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  StrutsDynaFormValidationXmlSubTask

public class StrutsValidationXmlSubTask
extends XmlSubTask

Generates Struts Validator validation.xml deployment descriptor.

Version:
  $Revision: 1.12 $
Author:
  Erik Hatcher (ehatcher@apache.org), Nick Heudecker (nick at systemmobile.com)
See Also:
  Serialized Form
ant.element
  display-name="validation.xml" name="strutsvalidationxml" parent="xdoclet.modules.web.WebDocletTask"
created
  August 23, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected static String` | `DTD_FILE_NAME_11`
`protected static String` | `DTD_FILE_NAME_113`
`protected static String` | `GENERATED_FILE_NAME`
`protected static String` | `VALIDATION_PUBLICID_11`
`protected static String` | `VALIDATION_PUBLICID_113`
`protected static String` | `VALIDATION_SYSTEMID_11`
`protected static String` | `VALIDATION_SYSTEMID_113`
`protected String` | `version`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`StrutsValidationXmlSubTask()` Creates a new validation task instance.

Method Summary
`void` | `execute()` Describe what the method does
`String` | `getVersion()` Gets the Version attribute of the task tag.
`void` | `setVersion(String version)` Sets the validator version to use.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DTD_FILE_NAME_11

    protected static final String DTD_FILE_NAME_11

See Also:
  Constant Field Values

### VALIDATION_PUBLICID_11

    protected static final String VALIDATION_PUBLICID_11

See Also:
  Constant Field Values

### VALIDATION_SYSTEMID_11

    protected static final String VALIDATION_SYSTEMID_11

See Also:
  Constant Field Values

### DTD_FILE_NAME_113

    protected static final String DTD_FILE_NAME_113

See Also:
  Constant Field Values

### VALIDATION_PUBLICID_113

    protected static final String VALIDATION_PUBLICID_113

See Also:
  Constant Field Values

### VALIDATION_SYSTEMID_113

    protected static final String VALIDATION_SYSTEMID_113

See Also:
  Constant Field Values

### GENERATED_FILE_NAME

    protected static String GENERATED_FILE_NAME

### version

    protected String version

Constructor Detail

### StrutsValidationXmlSubTask

    public StrutsValidationXmlSubTask()

  Creates a new validation task instance.

Method Detail

### getVersion

    public String getVersion()

  Gets the Version attribute of the task tag.

  Returns:
    The Version value

### setVersion

    public void setVersion(String version)

  Sets the validator version to use. Legal values are "1.1" and "1.1.3".

  Parameters:
    `version` -

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD